(* Base types for ast *)

type asa_typ = TypInt | TypBool

type cte = Int of int | Bool of bool

type op = Plus | Mult | Div | Minus | Leq | Geq | Lt | Gt | Eq

(* Base types for location *)

type location = Lexing.position * Lexing.position

type 'a loc = { loc : location ; asa : 'a }
