val new_label : string -> string
val offsets : (string, int) Hashtbl.t
val nvars : (string, int) Hashtbl.t
val levels : int -> Tree.expr -> int
val preproc_decl : Tree.decl_raw Base.loc -> unit
val preproc : Tree.decl_raw Base.loc list -> unit
val pushr : Mips.register -> Mips.code
val popr : Mips.register -> Mips.code
val code_expr : Mips.register -> Tree.expr -> Mips.code
val init : string -> Mips.code
val finish : string -> Mips.code
val code_decls : Tree.decl_raw Base.loc list -> Mips.code
val globals : Tree.decl_raw Base.loc list -> Mips.data list
val generate_program : Tree.decl_raw Base.loc list -> Mips.program
